package market.Slm.Notice.vo;

import java.io.Serializable;

import market.Slm.Notice.mapper.SlmNoticeAnnexMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="slm_notice_annex", namespace=SlmNoticeAnnexMapper.class)
public class SlmNoticeAnnex extends BaseVO implements Serializable {
	/**
	 *公告附件表 
	 */
	private static final long serialVersionUID = 4082410138220032812L;
	@Id
	//附件编号(包含顺序)
	private String annex_no;
	public String  getAnnex_no() {
		return this.annex_no;
	}
	public void setAnnex_no(String annex_no) {
		this.annex_no = annex_no;
	}

	@Column
	//公告编号
	private String notice_no;
	public String  getNotice_no() {
		return this.notice_no;
	}
	public void setNotice_no(String notice_no) {
		this.notice_no = notice_no;
	}

	
	@Column
	//附件名称
	private String annex_name;
	public String  getAnnex_name() {
		return this.annex_name;
	}
	public void setAnnex_name(String annex_name) {
		this.annex_name = annex_name;
	}
	
	@Column
	//附件别名
    private String annex_other_name;
	public String getAnnex_other_name() {
		return annex_other_name;
	}
	public void setAnnex_other_name(String annex_other_name) {
		this.annex_other_name = annex_other_name;
	}

	@Column
	//附件保存路径
	private String annex_path;
	public String  getAnnex_path() {
		return this.annex_path;
	}
	public void setAnnex_path(String annex_path) {
		this.annex_path = annex_path;
	}

	@Column
	//附件类型
	private String annex_type;
	public String  getAnnex_type() {
		return this.annex_type;
	}
	public void setAnnex_type(String annex_type) {
		this.annex_type = annex_type;
	}

	@Column
	//是否为图片
	private String is_img;
	public String  getIs_img() {
		return this.is_img;
	}
	public void setIs_img(String is_img) {
		this.is_img = is_img;
	}
}
